%define upstream_name  	    ExtUtils-CBuilder
%define upstream_version 0.280205

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Summary:    Compile and link C code for Perl modules 
License:    GPL or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/ExtUtils/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec) >= 3.130.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::File)
BuildRequires: perl(IPC::Cmd)
BuildRequires: perl(Perl::OSType)
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(Text::ParseWords)
BuildArch:  noarch

%description
This module can build the C portions of Perl modules by invoking the
appropriate compilers and linkers in a cross-platform manner. It was motivated
by the Module::Build project, but may be useful for other purposes as well.
However, it is not intended as a general cross-platform interface to all your C
building needs. That would have been a much more ambitious goal!

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
%makeinstall_std
for m in ExtUtils::CBuilder.3pm ExtUtils::CBuilder::Platform::Windows.3pm; do
	rm -f %{buildroot}%{_mandir}/man3/$m
done

%files 
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{perl_vendorlib}/ExtUtils

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.280.205-2.mga3
+ Revision: 367007
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 jquelin <jquelin> 0.280.205-1.mga2
+ Revision: 219764
- update to 0.280205

* Fri Feb 18 2011 jquelin <jquelin> 0.280.202-1.mga1
+ Revision: 53614
- update to 0.280202

* Wed Jan 19 2011 jquelin <jquelin> 0.280.200-2.mga1
+ Revision: 24295
- fix specs
- imported package perl-ExtUtils-CBuilder

